Bug 1409956 - Impossible to access Cockpit administration tool from Self-Service UI
Summary: Impossible to access Cockpit administration tool from Self-Service UI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Martin Povolny
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On:
Blocks: 1422648
TreeView+ depends on / blocked
 
Reported: 2017-01-04 02:02 UTC by Jerome Marc
Modified: 2017-06-12 16:23 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1422648 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:23:39 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Jerome Marc 2017-01-04 02:02:04 UTC
Description of problem:
The Cockpit icon keeps blinking and I cannot click on it.

Version-Release number of selected component (if applicable):
5.7.0.17.20161219135818_725f92f 

How reproducible:
Always

Steps to Reproduce:
1. Make sure a RHEL7 VM is configured for Cockpit
2. Go to self-service and try to access the Cockpit console on this VM


Actual results:
The icon keeps blinking (showing text over very briefly), the the console never opens.

Expected results:
No blinking and console access.

Additional info:
Cockpit access from the ops portal works fine for this VM.

Comment 4 Chris Kacerguis 2017-01-18 15:08:43 UTC
Hi Martin,

Can you please take a look at this?

Chris

Comment 5 Chris Kacerguis 2017-01-19 14:21:13 UTC
Hi Martin,

I hope you are doing well.  Any update on this by chance?

Chris

Comment 6 Chris Kacerguis 2017-01-24 22:33:59 UTC
Hi Martin,

I hope you are doing well.  Any update on this by chance?

Chris

Comment 7 Chris Kacerguis 2017-01-25 16:21:17 UTC
Hi Martin,

I hope you are doing well.  Any update on this by chance?

Chris

Comment 10 Chris Kacerguis 2017-01-27 14:36:21 UTC
Hi Martin,

We have not done anything on this task.

Chris

Comment 11 Martin Povolny 2017-02-02 13:38:57 UTC
upstream PR: https://github.com/ManageIQ/manageiq-ui-service/pull/485

Comment 12 CFME Bot 2017-02-02 17:42:20 UTC
New commit detected on ManageIQ/manageiq-ui-service/master:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/9cf2f1e120975e0f07f50fe4ebc2d41c1f30a308

commit 9cf2f1e120975e0f07f50fe4ebc2d41c1f30a308
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu Feb 2 14:30:36 2017 +0100
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Thu Feb 2 14:47:51 2017 +0100

    Fix missing Cockpit URL opening.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1409956

 .../services/service-details/service-details.component.js          | 7 ++++++-
 .../app/components/services/service-details/service-details.html   | 2 +-
 client/app/states/services/details/details.state.js                | 1 +
 3 files changed, 8 insertions(+), 2 deletions(-)

Comment 14 Shveta 2017-04-19 22:26:33 UTC
Fixed.
Verified in 5.8.0.11-beta2.20170418170914_a53d2a7


Note You need to log in before you can comment on or make changes to this bug.